=== debian/changelog ===
xfsprogs (4.20.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 22 Feb 2019 12:04:48 -0600

xfsprogs (4.19.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 09 Nov 2018 14:20:39 -0600

xfsprogs (4.19.0-rc1-1) unstable; urgency=low

  * New upstream pre-release

 -- Nathan Scott <nathans@debian.org>  Fri, 02 Nov 2018 09:40:25 -0500

xfsprogs (4.19.0-rc0-1) unstable; urgency=low

  * New upstream pre-release
  * Merge libxfs changes from kernel-4.19

 -- Nathan Scott <nathans@debian.org>  Wed, 10 Oct 2018 17:52:48 +1100

xfsprogs (4.18.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 24 Aug 2018 14:45:57 -0500

xfsprogs (4.18.0-rc1-1) unstable; urgency=low

  * New upstream pre-release

 -- Nathan Scott <nathans@debian.org>  Wed, 01 Aug 2018 16:44:08 -0500

xfsprogs (4.18.0-rc0-1) unstable; urgency=low

  * New upstream pre-release
  * Merge libxfs changes from kernel-4.18

 -- Nathan Scott <nathans@debian.org>  Thu, 05 Jul 2018 15:24:46 -0500

xfsprogs (4.17.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Thu, 28 Jun 2018 11:49:17 -0500

xfsprogs (4.17.0-rc1-1) unstable; urgency=low

  * New upstream pre-release

 -- Nathan Scott <nathans@debian.org>  Fri, 22 Jun 2018 13:51:30 -0500

xfsprogs (4.16.1-1) unstable; urgency=low

  * New upstream release
  * Remove bashism in fsck.xfs

 -- Nathan Scott <nathans@debian.org>  Mon, 30 Apr 2018 21:27:59 -0500

xfsprogs (4.16.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Thu, 26 Apr 2018 15:13:07 -0500
