## xfsprogs 5.0.0

=== debian/changelog ===
xfsprogs (5.0.0-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Enable blkid in d-i, by dropping explicitly passed configure option
      (broken configure).
    - Drop trying to create upstream distribution.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 May 2019 16:46:33 -0700

xfsprogs (5.0.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 03 May 2019 11:55:58 -0500

xfsprogs (5.0.0-rc1-1) unstable; urgency=low

  * New upstream pre-release

 -- Nathan Scott <nathans@debian.org>  Fri, 26 Apr 2019 16:18:28 -0500

xfsprogs (4.20.0-1ubuntu2) eoan; urgency=medium

  * Fix mismerge and broken debian/rules.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Apr 2019 19:44:17 +0000

xfsprogs (4.20.0-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Enable blkid in d-i, by dropping explicitly passed configure option
      (broken configure).
    - Drop trying to create upstream distribution.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Apr 2019 11:46:36 -0700

xfsprogs (4.20.0-rc1-1) unstable; urgency=low

  * New upstream pre-release

 -- Nathan Scott <nathans@debian.org>  Fri, 08 Feb 2019 12:17:15 -0600
