=== include/Makefile ===
--- 
+++ 
@@ -16,7 +16,6 @@
 	kmem.h \
 	list.h \
 	parent.h \
-	radix-tree.h \
 	xfs_btree_trace.h \
 	xfs_inode.h \
 	xfs_log_recover.h \
@@ -29,8 +28,6 @@
 	xfs_trans.h \
 	command.h \
 	input.h \
-	path.h \
-	project.h \
 	platform_defs.h
 
 HFILES = handle.h \
