=== libfrog/Makefile ===
--- 
+++ 
@@ -12,22 +12,41 @@
 
 CFILES = \
 avl64.c \
+bitmap.c \
+bulkstat.c \
 convert.c \
 crc32.c \
 fsgeom.c \
 list_sort.c \
 linux.c \
+logging.c \
 paths.c \
 projects.c \
 ptvar.c \
 radix-tree.c \
+scrub.c \
 topology.c \
 util.c \
 workqueue.c
 
 HFILES = \
+avl64.h \
+bulkstat.h \
+bitmap.h \
+convert.h \
+crc32c.h \
+crc32cselftest.h \
 crc32defs.h \
-crc32table.h
+crc32table.h \
+fsgeom.h \
+logging.h \
+paths.h \
+projects.h \
+ptvar.h \
+radix-tree.h \
+scrub.h \
+topology.h \
+workqueue.h
 
 LSRCFILES += gen_crc32table.c
