=== debian/changelog ===
xfsprogs (5.3.0-1ubuntu2.1) focal; urgency=medium

  * Backport from upstream:
    - fix fsck.xfs run by different shells when fsck.mode=force is set
      (LP: #2081163).

 -- Gerald Yang <gerald.yang@canonical.com>  Thu, 17 Oct 2024 05:32:23 +0000

xfsprogs (5.3.0-1ubuntu2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:42:53 +0100

xfsprogs (5.3.0-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Enable blkid in d-i, by dropping explicitly passed configure option
      (broken configure).
    - Drop trying to create upstream distribution.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 11:08:40 -0800

xfsprogs (5.3.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 15 Nov 2019 14:57:03 -0500

xfsprogs (5.3.0-rc2-1) unstable; urgency=low

  * New upstream pre-release

 -- Nathan Scott <nathans@debian.org>  Thu, 07 Nov 2019 11:12:30 -0500

xfsprogs (5.3.0-rc1-1) unstable; urgency=low

  * New upstream pre-release

 -- Nathan Scott <nathans@debian.org>  Wed, 28 Aug 2019 10:59:10 -0500

xfsprogs (5.3.0-rc0-1) unstable; urgency=low

  * New upstream pre-release

 -- Nathan Scott <nathans@debian.org>  Fri, 16 Aug 2019 12:14:23 -0500

xfsprogs (5.2.1-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Enable blkid in d-i, by dropping explicitly passed configure option
      (broken configure).
    - Drop trying to create upstream distribution.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Nov 2019 22:07:24 -0800

xfsprogs (5.2.1-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 21 Aug 2019 10:42:23 -0500

xfsprogs (5.2.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 09 Aug 2019 11:39:01 -0500

xfsprogs (5.1.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 19 Jul 2019 12:38:19 -0500

xfsprogs (5.1.0-rc1-1) unstable; urgency=low

  * New upstream pre-release

 -- Nathan Scott <nathans@debian.org>  Thu, 11 Jul 2019 20:53:37 -0400

xfsprogs (5.1.0-rc0-1) unstable; urgency=low

  * New upstream pre-release

 -- Nathan Scott <nathans@debian.org>  Tue, 07 May 2019 21:27:56 -0500
