## xfsprogs 5.6.0

=== debian/changelog ===
xfsprogs (5.6.0-1ubuntu4) groovy; urgency=medium

  * No-change rebuild against libicu67

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 Jul 2020 16:21:05 +0000

xfsprogs (5.6.0-1ubuntu3) groovy; urgency=medium

  * Only enable CET on amd64.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 25 Jun 2020 23:00:43 +0100

xfsprogs (5.6.0-1ubuntu2) groovy; urgency=medium

  * Enable CET.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 25 Jun 2020 14:53:35 +0100

xfsprogs (5.6.0-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Enable blkid in d-i, by dropping explicitly passed configure option                                                                    
      (broken configure).                                                                                                                    
    - Drop trying to create upstream distribution.         

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 27 Apr 2020 12:59:52 +0200

xfsprogs (5.6.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Tue, 14 Apr 2020 14:28:51 -0500

xfsprogs (5.6.0-rc1-1) unstable; urgency=low

  * New upstream pre-release

 -- Nathan Scott <nathans@debian.org>  Wed, 08 Apr 2020 09:42:46 -0400

xfsprogs (5.6.0-rc0-1) unstable; urgency=low

  * New upstream pre-release

 -- Nathan Scott <nathans@debian.org>  Wed, 18 Mar 2020 11:35:54 -0500

xfsprogs (5.5.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 13 Mar 2020 09:19:11 -0500

xfsprogs (5.5.0-rc1-1) unstable; urgency=low

  * New upstream pre-release

 -- Nathan Scott <nathans@debian.org>  Sun, 01 Mar 2020 09:07:07 -0800

xfsprogs (5.5.0-rc0-1) unstable; urgency=low

  * New upstream pre-release

 -- Nathan Scott <nathans@debian.org>  Wed, 22 Jan 2020 11:12:32 -0500

xfsprogs (5.4.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 20 Dec 2019 15:43:02 -0600

xfsprogs (5.4.0-rc1-1) unstable; urgency=low

  * New upstream pre-release

 -- Nathan Scott <nathans@debian.org>  Tue, 17 Dec 2019 15:55:17 -0600

xfsprogs (5.4.0-rc0-1) unstable; urgency=low

  * New upstream pre-release

 -- Nathan Scott <nathans@debian.org>  Fri, 15 Nov 2019 15:00:00 -0500
